Package org.apache.sysds.runtime.instructions.spark

## Class CompressionSPInstruction.CompressionFunction

- java.lang.Object
- - org.apache.sysds.runtime.instructions.spark.CompressionSPInstruction.CompressionFunction

All Implemented Interfaces:
  `Serializable`, `org.apache.spark.api.java.function.Function<MatrixBlock,​MatrixBlock>`

Enclosing class:
  CompressionSPInstruction

    public static class CompressionSPInstruction.CompressionFunction
    extends Object
    implements org.apache.spark.api.java.function.Function<MatrixBlock,​MatrixBlock>

See Also:
  Serialized Form

### Constructor Summary

Constructors
`CompressionFunction()`

### Method Summary

All Methods Instance Methods Concrete Methods
`MatrixBlock` `call​(MatrixBlock arg0)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CompressionFunction

    public CompressionFunction()

### Method Detail

#### call

    public MatrixBlock call​(MatrixBlock arg0)
                     throws Exception

Specified by:
  `call` in interface `org.apache.spark.api.java.function.Function<MatrixBlock,​MatrixBlock>`
Throws:
  `Exception`